FROM alpine:3.17.0 as compresser

RUN apk --no-cache add openjdk11

# Build small JRE image
RUN jlink \
    --verbose \
    --add-modules java.base,java.management,java.logging,java.naming,java.compiler,java.desktop,jdk.unsupported,jdk.httpserver,java.sql,jdk.crypto.ec\
    --strip-debug \
    --no-man-pages \
    --no-header-files \
    --compress=2 \
    --output /customjre


FROM alpine:3.17.0

ENV JAVA_HOME=/usr
ENV PATH="${JAVA_HOME}/bin:${PATH}"
COPY --from=compresser /customjre $JAVA_HOME

ENV AMANAH_PORT_BE={{port_container_BE}}
ENV AMANAH_DB_URL={{db_url}}
ENV AMANAH_DB_USERNAME={{user_name}}
ENV AMANAH_DB_PASSWORD={{password}}
ENV AMANAH_HOST_BE=0.0.0.0
ENV CLIENT_ID={{client_id}}
COPY ./backend/ {{dest_BE}}
WORKDIR {{dest_BE}}
CMD ["/bin/sh", "run.sh", "AISCO", "{{main_class}}"]